<?php

get_header();
?>
        
        <?php $image = get_theme_mod( 'image_setting_url', '' ); ?>
        <?php $archiveDesc = get_theme_mod( 'archive_description', '' ); 
        
        
        ?>

            
        <!-- page-banner-section 
            ================================================== -->
        <section class="page-banner-section">
            <div class="container">
                <h1>
                    <?php 
                        if ( is_category() ) {  
                            echo esc_html_e('CATEGORY: ', 'royarch') . single_term_title();
                        } elseif ( is_tag() ) {    
                            echo esc_html_e('TAG: ', 'royarch') . single_term_title();
                        } elseif ( is_date() ) {    
                            the_archive_title();
                        } elseif ( is_author() ) {    
                            echo esc_html_e('Posts by: ', 'royarch') . get_the_author_meta('display_name');
                        } elseif ( is_tax() ) {
                            single_term_title();
                        } elseif (is_home()) {
                            esc_html_e('Our Latest Posts', 'royarch');
                        } else {
                            the_title();
                        }
                        
                    ?>
                </h1>
                <p><?php echo esc_html($archiveDesc); ?></p>
                
            </div>
            <?php if ( $image ){ ?>
                <div class="image-holder">
                    <img src="<?php echo esc_url( $image ); ?>" alt>
                </div>
            <?php } ?>
        </section>
        <!-- End page-banner section -->


		<!-- blog-section 
            ================================================== -->
        <section class="blog-section">
            <div class="container">
                <div class="row">
                    <?php if(is_active_sidebar('sidebar')){ ?>
                    <div class="col-lg-8">
                        <div class="blog-box iso-call col1">
                    <?php }else{ ?>
                    <div class="col-lg-12 no-sidebar">
                        <div class="blog-box iso-call col2">
                    <?php } ?>
                        
                        <?php
                        if( is_author() ) {
                            if ( !empty(get_the_author_meta( 'description' )) ) { ?>
                                <div class="author-box">
                                    <div class="image-holder">
                                        <?php echo get_avatar( get_the_author_meta( 'ID' ), 240 ); ?>
                                    </div>
                                    <div class="author-content">
                                        <h3>
                                            <?php echo get_the_author_meta( 'first_name' ) . ' ' . get_the_author_meta( 'last_name' ) . ' - ' . get_the_author_meta('display_name'); ?>
                                        </h3>
                                        <h5>

                                        </h5>
                                        <p><?php the_author_meta('description'); ?></p>
                                    </div>
                                </div>
                            <?php }
                        }
                        ?>
                            <?php 
                                if(have_posts()) :
                                    while(have_posts()) : the_post();
                                        get_template_part( 'template-parts/post-layouts/standard-post' );
                                    
                                    endwhile;
                                endif;
                            ?>

                        </div>

                        <?php fabric_paging_navigation($wp_query); ?>

                    </div>

                    <?php if(is_active_sidebar('sidebar')){ ?>
                    <div class="col-lg-4">
                        
                        <?php get_sidebar(); ?>

                    </div>
                    <?php } ?>
                </div>
            </div>
		</section>
        <!-- End recent section -->
        
        
<?php
get_footer();